Subject: Re: [PATCH] NET: fix wrong English expression in comments

From: Oliver Hartkopp <[email-masked]>
Date: Tue, 13 Jan 2009 09:52:57 +0100

Eric Dumazet wrote:
> David Miller a écrit :
>   
>> From: joe tian <[email-masked]>
>> Date: Tue, 13 Jan 2009 15:36:51 +0800
>>
>>     
>>> 2009/1/12 Li Zefan <[email-masked]>:
>>>       
>>>>> @@ -103,7 +103,7 @@ struct inet_bind_bucket;
>>>>>  struct inet_timewait_sock {
>>>>>       /*
>>>>>        * Now struct sock also uses sock_common, so please just
>>>>> -      * don't add nothing before this first member (__tw_common) --acme
>>>>> +      * don't add anything before this first member (__tw_common) --acme
>>>>>           
>>>> They are the same meaning...
>>>>
>>>>         
>>> I don't think they are the same meaning.
>>> I think "don't add anything" means "do add nothing" but not means "don't add
>>> nothing"
>>>       
>> No offense to anyone, but the only people arguing for "correctness"
>> seem to be non-native speakers of English.  Is this correct? :-)
>>
>> As Ben tries to explain, "don't add nothing" is a colloquialism of
>> English that in fact can mean "do not add"
>>
>> It sounds amusing when read, and I'm not killing the character and
>> personality of this comment just for some language lawyering.
>>
>> No way.
>>     
>
> Oh my God... time for me to check what is a colloquialism :)
>
>
> According to wikipedia :
>
> A colloquialism is an expression not used in formal speech, 
> writing or paralinguistics. Colloquialisms are also sometimes 
> referred to collectively as "colloquial language". [1] Colloquialisms
> or colloquial language is considered to be characteristic of or only
> appropriate for casual, ordinary, familiar, or informal conversation
> rather than formal speech or writing.

So the Linux Kernels comments are only for native speakers of English 
that are familiar with these colloquialisms?

I also would have to think longer about the current comment than i would 
have to on the patched one.

When we reduce parentheses and have coding style definitions to make the 
reading of source code easy and fast - why don't we fix these 
colloquialisms that are confusing non-native English speakers?

I personally would vote for this particular patch - but i assume 
thousands of these patches might jam the mailing lists then :-(

Regards,
Oliver